/***************************************************************************
Name: CookieSafe
Description: Control cookie permissions.
Author: Ron Beckman
Homepage: http://addons.mozilla.org

Copyright (C) 2007  Ron Beckman

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:

Free Software Foundation, Inc.
51 Franklin Street
Fifth Floor
Boston, MA  02110-1301
USA
***************************************************************************/




var cookiesafeMenuItems = {

   leftclick: [

      ['menuitem',
      ['id','cookiesafe-global-allow'],
      ['label','cookiesafe.AllowGlobal'],
      ['oncommand','cookiesafe.globalPrompt();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"302");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-global-deny'],
      ['label','cookiesafe.DenyGlobal'],
      ['oncommand','cookiesafe.allowAll(false);'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"301");'],
      ['class','menuitem-iconic']
      ],

      ['menuseparator',
      ['id','cookiesafe-sep1'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);']
      ],

      ['menuitem',
      ['id','cookiesafe-block'],
      ['label','cookiesafe.lBlock'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"300");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-remove'],
      ['label','cookiesafe.lRemove'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"299");'],
      ['class','menuitem-iconic']
      ],

      ['menuseparator',
      ['id','cookiesafe-sep2'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);']
      ],

      ['menuitem',
      ['id','cookiesafe-allow'],
      ['label','cookiesafe.lAllow'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"298");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-session'],
      ['label','cookiesafe.lSession'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"297");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-temporary'],
      ['label','cookiesafe.lTemporary'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"296");'],
      ['class','menuitem-iconic']
      ]
   ],

   rightclick: [

      /*['menuitem',
      ['id','cookiesafe-support'],
      ['label','cookiesafe.Support'],
      ['oncommand','cookiesafe.viewHelp();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"295");'],
      ['class','menuitem-iconic']
      ],

      ['menuseparator',
      ['id','cookiesafe-sep4'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);']
      ],*/

      ['menuitem',
      ['id','cookiesafe-about'],
      ['label','cookiesafe.lAboutCookiesafe'],
      ['oncommand','cookiesafe.viewAbout();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"294");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-options'],
      ['label','cookiesafe.lCookiesafeOptions'],
      ['oncommand','cookiesafe.viewOptions();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"293");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-disable'],
      ['label','cookiesafe.lDisableCookiesafe'],
      ['oncommand','cookiesafe.disableCS();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"292");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-uninstall'],
      ['label','cookiesafe.lUninstallCookiesafe'],
      ['oncommand','cookiesafe.uninstallCS();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"291");'],
      ['class','menuitem-iconic']
      ],

      ['menuseparator',
      ['id','cookiesafe-sep5'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);']
      ],

      ['menuitem',
      ['id','cookiesafe-edit-cookies'],
      ['label','cookiesafe.lEditCookies'],
      ['oncommand','cookiesafe.viewEditCookies();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"290");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-view-cookies'],
      ['label','cookiesafe.lViewCookies'],
      ['oncommand','cookiesafe.viewCookies();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"289");'],
      ['class','menuitem-iconic']
      ],

      /*['menuitem',
      ['id','cookiesafe-clean-cookies'],
      ['label','cookiesafe.lCleanCookies'],
      ['oncommand','cookiesafe.cleanCookies();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"288");'],
      ['class','menuitem-iconic']
      ],*/

      ['menuitem',
      ['id','cookiesafe-clear-cookies'],
      ['label','cookiesafe.lClearCookies'],
      ['oncommand','cookiesafe.clearCookies();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"287");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-clear-domain-cookies'],
      ['label','cookiesafe.lClear'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"286");'],
      ['class','menuitem-iconic']
      ],

      ['menuseparator',
      ['id','cookiesafe-sep6'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);']
      ],

      ['menuitem',
      ['id','cookiesafe-import-cookies'],
      ['label','cookiesafe.lImportCookies'],
      ['oncommand','cookiesafe.importCookies();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"285");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-export-cookies'],
      ['label','cookiesafe.lExportCookies'],
      ['oncommand','cookiesafe.exportCookies();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"284");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-view-export-cookies'],
      ['label','cookiesafe.lViewExportedCookies'],
      ['oncommand','cookiesafe.viewExportedCookies();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"283");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-export-domain-cookies'],
      ['label','cookiesafe.lExport'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"282");'],
      ['class','menuitem-iconic']
      ],

      ['menuseparator',
      ['id','cookiesafe-sep7'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);']
      ],

      ['menuitem',
      ['id','cookiesafe-view-exceptions'],
      ['label','cookiesafe.lViewExceptions'],
      ['oncommand','cookiesafe.viewExceptions();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"281");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-clear-exceptions'],
      ['label','cookiesafe.lClearExceptions'],
      ['oncommand','cookiesafe.clearExceptions();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"280");'],
      ['class','menuitem-iconic']
      ],

      ['menuseparator',
      ['id','cookiesafe-sep8'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);']
      ],

      ['menuitem',
      ['id','cookiesafe-import-exceptions'],
      ['label','cookiesafe.lImportExceptions'],
      ['oncommand','cookiesafe.importExceptions();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"279");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-export-exceptions'],
      ['label','cookiesafe.lExportExceptions'],
      ['oncommand','cookiesafe.exportExceptions();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"278");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-view-export-exceptions'],
      ['label','cookiesafe.lViewExportedExceptions'],
      ['oncommand','cookiesafe.viewExportedExceptions();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"277");'],
      ['class','menuitem-iconic']
      ],

      /*['menuseparator',
      ['id','cookiesafe-sep9'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);']
      ],

      ['menuitem',
      ['id','cookiesafe-blocklist-wiki'],
      ['label','cookiesafe.lBlocklistWiki'],
      ['oncommand','cookiesafe.viewWiki();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"276");'],
      ['class','menuitem-iconic']
      ],

      ['menuitem',
      ['id','cookiesafe-update'],
      ['label','cookiesafe.lUpdateBlocklist'],
      ['oncommand','cookiesafeUpdate.updateBlocklist();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"275");'],
      ['class','menuitem-iconic']
      ],*/

      ['menuseparator',
      ['id','cookiesafe-sep10'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);']
      ],

      ['menuitem',
      ['id','cookiesafe-last10hosts'],
      ['label','cookiesafe.lMostRecentHosts'],
      ['oncommand','cookiesafe.viewLast10Hosts();'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);'],
      ['onclick','cookiesafe.showSupportThread(event,this.parentNode,"274");'],
      ['class','menuitem-iconic']
      ]
   ],

   contextOnly: [

      ['menuseparator',
      ['id','cookiesafe-sep3'],
      ['ondraggesture','cookiesafe.hideMenuItem(this);']
      ]
   ]
};
